namespace ConsoleApp2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] niz = Console.ReadLine().Split(" ");
            int n = int.Parse(niz[0]);
            int l = int.Parse(niz[1]);
            string[] visine = Console.ReadLine().Split(" ");
            int odg = -1;
            for (int i = 0; i < n; i++)
            {
                int hi = int.Parse(visine[i]);
                if (hi <= l)
                {
                    odg = i + 1;
                    break;
                }
            }
            Console.WriteLine(odg);
        }
    }
}